Categories:
  - Internet
License: GPL-3.0-only
AuthorName: Nils Braden
WebSite: https://github.com/nilsbraden/ttrss-reader-fork/wiki
SourceCode: https://github.com/nilsbraden/ttrss-reader-fork
IssueTracker: https://github.com/nilsbraden/ttrss-reader-fork/issues
Translation: https://github.com/nilsbraden/ttrss-reader-fork/wiki/Developer-Information#Language_and_Translations
Changelog: https://github.com/nilsbraden/ttrss-reader-fork/wiki/Changelog
Donate: https://github.com/nilsbraden/ttrss-reader-fork/wiki/Donations
FlattrID: '382465'

AutoName: TTRSS-Reader
Description: |-
    An offline reader that works with the Tiny Tiny RSS (also known as ttrss or
    tt-rss) web-based feed reader/aggregator.

    <b>Features:</b>

    * Swipe for faster browsing
    * Optional navigation with volume-buttons
    * View and download attached media files
    * Cache articles and images locally
    * Share URLs
    * Easily mark things as read, starred or publish/comment them
    * SSL with self-signed certificates
    * Fast JSON-Parsing with stream-based parser GSON
    * Scheduled updates via Tasker/Locale
    * Layout optimized for tablets
    * Dark and light themes available
    * many more, Changelog and Feature-List can be found on the project-page...

RepoType: git
Repo: https://github.com/nilsbraden/ttrss-reader-fork

Builds:
  - versionName: '1.0'
    versionCode: 1000
    commit: 1efaebb5678f
    subdir: ttrss-reader
    target: android-8

  - versionName: '1.0'
    versionCode: 1002
    commit: aa503a0f2201
    subdir: ttrss-reader
    target: android-8

  - versionName: '1.02'
    versionCode: 1023
    commit: 87f123514c11
    subdir: ttrss-reader
    target: android-8

  - versionName: '1.03'
    versionCode: 1032
    commit: c374163ba16f
    subdir: ttrss-reader
    target: android-8

  - versionName: '1.04'
    versionCode: 1040
    commit: '1.04'
    subdir: ttrss-reader
    target: android-8

  - versionName: '1.05'
    versionCode: 1050
    commit: bb0bbb042e7c
    subdir: ttrss-reader
    target: android-8

  - versionName: '1.07'
    versionCode: 1075
    commit: 1.07 (4)
    subdir: ttrss-reader
    target: android-8

  - versionName: '1.21'
    versionCode: 1210
    commit: '1.21'
    subdir: ttrss-reader
    target: android-8

  - versionName: '1.22'
    versionCode: 1220
    commit: '1.22'
    subdir: ttrss-reader
    target: android-8

  - versionName: '1.23'
    versionCode: 1230
    commit: 1e255c7e32ae
    subdir: ttrss-reader
    target: android-8

  - versionName: '1.24'
    versionCode: 1240
    commit: fb656e839908
    subdir: ttrss-reader
    target: android-8

  - versionName: '1.25'
    versionCode: 1253
    commit: 69d2376a53f2
    subdir: ttrss-reader
    target: android-13

  - versionName: '1.25'
    versionCode: 1254
    disable: broken - crashes on startup
    commit: unknown - see disabled

  - versionName: '1.26'
    versionCode: 1260
    commit: a07a4adf2cc8
    subdir: ttrss-reader
    target: android-13

  - versionName: '1.26'
    versionCode: 1261
    commit: 9d7fb8923653
    subdir: ttrss-reader
    target: android-13

  - versionName: '1.3'
    versionCode: 1302
    commit: 78751fbd9edc
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@6e3f2bb5
    prebuild: sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@'
        project.properties
    target: android-15

  - versionName: '1.32'
    versionCode: 1320
    commit: '236793708946'
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@6e3f2bb5
    prebuild: sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@'
        project.properties
    target: android-15

  - versionName: '1.33'
    versionCode: 1330
    commit: 09d31c76076542a0d705937daaac7c682019fc44
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@6e3f2bb5
    prebuild: sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@'
        project.properties
    target: android-15

  - versionName: '1.34'
    versionCode: 1340
    commit: a3af08a3b019
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@6e3f2bb5
    prebuild: sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@'
        project.properties
    target: android-15

  - versionName: '1.38'
    versionCode: 1380
    commit: ee51a2579898
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@6e3f2bb5
    prebuild: sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@'
        project.properties
    target: android-15

  - versionName: '1.40'
    versionCode: 1400
    commit: c91741406ead
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@6e3f2bb5
    prebuild: sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@'
        project.properties
    target: android-15

  - versionName: '1.41'
    versionCode: 1411
    commit: f7f84c03ed4a
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.2.0
    prebuild: sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@'
        project.properties
    target: android-17

  - versionName: '1.43'
    versionCode: 1431
    commit: '1.43'
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.2.0
      - LocaleAPI@bc2d5a1
    prebuild:
      - sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(android.library.reference.2=\).*@\1$$LocaleAPI$$@' project.properties
    target: android-17

  - versionName: '1.44'
    versionCode: 1441
    commit: '1.44'
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.2.0
      - LocaleAPI@bc2d5a1
    prebuild:
      - sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(android.library.reference.2=\).*@\1$$LocaleAPI$$@' project.properties
    target: android-17

  - versionName: '1.45'
    versionCode: 1450
    commit: '1.45'
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.2.0
      - LocaleAPI@bc2d5a1
    prebuild:
      - sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(android.library.reference.2=\).*@\1$$LocaleAPI$$@' project.properties
    target: android-17

  - versionName: '1.46'
    versionCode: 1462
    commit: '7371059e9000'
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.2.0
      - LocaleAPI@bc2d5a1
    prebuild:
      - sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(android.library.reference.2=\).*@\1$$LocaleAPI$$@' project.properties
    target: android-17

  - versionName: '1.51'
    versionCode: 1512
    commit: 1.51 (2)
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.2.0
      - LocaleAPI@bc2d5a1
    prebuild:
      - sed -i 's@\(reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(reference.2=\).*@\1$$LocaleAPI$$@' project.properties
    target: android-17

  - versionName: '1.52'
    versionCode: 1520
    commit: '1.52'
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.2.0
      - LocaleAPI@bc2d5a1
    prebuild:
      - sed -i 's@\(reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(reference.2=\).*@\1$$LocaleAPI$$@' project.properties
    target: android-17

  - versionName: '1.53'
    versionCode: 1535
    commit: 1bfb2b3b6297
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.2.0
      - LocaleAPI@bc2d5a1
    prebuild:
      - sed -i 's@\(reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(reference.2=\).*@\1$$LocaleAPI$$@' project.properties
    target: android-17

  - versionName: '1.60'
    versionCode: 1600
    commit: '1.60'
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.2.0
      - LocaleAPI@bc2d5a1
    prebuild:
      - sed -i 's@\(reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(reference.2=\).*@\1$$LocaleAPI$$@' project.properties
    target: android-17

  - versionName: '1.61'
    versionCode: 1611
    commit: 1.61 (1)
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.2.0
      - LocaleAPI@bc2d5a1
    prebuild:
      - sed -i 's@\(reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(reference.2=\).*@\1$$LocaleAPI$$@' project.properties
    target: android-17

  - versionName: '1.62'
    versionCode: 1621
    commit: 1.62 (1)
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.4.0
      - LocaleAPI@bc2d5a1
    prebuild:
      - sed -i 's@\(reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(reference.2=\).*@\1$$LocaleAPI$$@' project.properties
    target: android-18

  - versionName: '1.7'
    versionCode: 1700
    commit: 6916241fbf87
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.4.0
      - LocaleAPI@bc2d5a1
    target: android-19

  - versionName: '1.7'
    versionCode: 1701
    commit: cb952f593b3a
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.4.0
      - LocaleAPI@bc2d5a1
    target: android-19

  - versionName: '1.7'
    versionCode: 1703
    commit: 58d63e505081
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.4.0
      - LocaleAPI@bc2d5a1
    target: android-19

  - versionName: 1.7.1
    versionCode: 1710
    disable: impossible to determine correct commit - even more messy than usual
    subdir: ttrss-reader

  - versionName: '1.74'
    versionCode: 1740
    commit: d6b86cb04026
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.4.0
      - LocaleAPI@bc2d5a1
    target: android-19

  - versionName: '1.75'
    versionCode: 1750
    commit: 4217d450b976
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.4.0
      - LocaleAPI@bc2d5a1
    target: android-19

  - versionName: '1.76'
    versionCode: 1760
    commit: 0db7133e8e75
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.4.0
      - LocaleAPI@bc2d5a1
    target: android-19

  - versionName: '1.78'
    versionCode: 1780
    commit: d4de79358ffa
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.4.0
      - LocaleAPI@bc2d5a1
      - Google-Gson@gson-2.2.2
    extlibs:
      - guava-r08/guava-r08.jar
    prebuild:
      - rm libs/gson*.jar libs/utils.jar
      - mkdir -p src/main/java/
      - cp -r $$Google-Gson$$/src/main/java/com/ src/main/java/
    target: android-19

  - versionName: '1.80'
    versionCode: 1800
    commit: dddf4b58d5e3
    subdir: ttrss-reader
    srclibs:
      - ActionBarSherlock@4.4.0
      - LocaleAPI@bc2d5a1
      - Google-Gson@gson-2.2.2
    extlibs:
      - guava-r08/guava-r08.jar
    prebuild:
      - rm libs/gson*.jar libs/utils.jar
      - mkdir -p src/main/java/
      - cp -r $$Google-Gson$$/src/main/java/com/ src/main/java/
    target: android-19

  - versionName: '1.82'
    versionCode: 1822
    commit: 3cc0731c150799d841ec403616173f162c0a52de
    subdir: ttrssreader
    gradle:
      - yes
    rm:
      - ttrssreader/libs/*.jar
    prebuild: sed -i -e '/google-utils.jar/d' -e '/gson/acompile "com.google.guava:guava:18.0"'
        build.gradle

  - versionName: '1.83'
    versionCode: 1830
    commit: bf0c0b9b808554c086b5c6f5a7b2eaadb2cc5269
    subdir: ttrssreader
    gradle:
      - yes
    rm:
      - ttrssreader/libs/*.jar
    prebuild: sed -i -e '/google-utils.jar/d' -e '/gson/acompile "com.google.guava:guava:18.0"'
        build.gradle

  - versionName: '1.84'
    versionCode: 1840
    commit: v1.84.0
    subdir: ttrssreader
    gradle:
      - yes
    rm:
      - ttrssreader/libs/*.jar

  - versionName: '1.84'
    versionCode: 1841
    commit: v1.84.1
    subdir: ttrssreader
    gradle:
      - yes
    rm:
      - ttrssreader/libs/*.jar

  - versionName: 1.86.1
    versionCode: 1861
    commit: 70c3add8e5095942006e4ad52c0a0030a64ce3b6
    subdir: ttrssreader
    gradle:
      - fdroid
    rm:
      - ttrssreader/libs/*.jar
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.87.0
    versionCode: 1870
    commit: 21ec77c1b350e7ee7b5773
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.88.0
    versionCode: 1880
    commit: 3f2492b40575e16a4935a64990d8bcbf0612a416
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.89.0
    versionCode: 1890
    commit: 12afab53640714fc39dc31c43d50a7f91e9699a0
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.90.0
    versionCode: 1900
    commit: 79f7d7c7e04369fe6f31046f942c6c13028cb5b1
    subdir: ttrssreader
    gradle:
      - fdroid
    forcevercode: true
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.90.1
    versionCode: 1901
    commit: b043986e1bc4ab253c854ab59f0cbe6e6b525279
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.91.1
    versionCode: 1911
    commit: a3b49825c3659263123b3d4ef4ad504a2c5f9e51
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.93.3
    versionCode: 1933
    commit: v1.93.3
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.94.1
    versionCode: 1941
    commit: v1.94.1
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.94.4
    versionCode: 1944
    commit: v1.94.4
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.94.6
    versionCode: 1946
    commit: v1.94.6
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.94.7
    versionCode: 1947
    commit: v1.94.7
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.94.8
    versionCode: 1948
    commit: v1.94.8
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.94.9
    versionCode: 1949
    commit: v1.94.9
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.95.0
    versionCode: 1950
    commit: v1.95.0
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.95.1
    versionCode: 1953
    commit: v1.95.1_1953
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.95.7
    versionCode: 1957
    commit: v1.95.7_1957
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.95.8
    versionCode: 1958
    commit: v1.95.8_1958
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.96.0
    versionCode: 1960
    commit: v1.96.0_1960
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.96.1
    versionCode: 1961
    commit: v1.96.1_1961
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.96.2
    versionCode: 1962
    commit: v1.96.2_1962
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.96.3
    versionCode: 1963
    commit: v1.96.3_1963
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.96.4
    versionCode: 1964
    commit: v1.96.4_1964
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.96.5
    versionCode: 1965
    commit: v1.96.5_1965
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.96.6
    versionCode: 1966
    commit: v1.96.6_1966
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

  - versionName: 1.97.1
    versionCode: 1971
    commit: a7432bf3d33deafb967c4a4c6d0f4934fa215a20
    subdir: ttrssreader
    gradle:
      - fdroid
    prebuild: sed -i -e '/playCompile/d' build.gradle

MaintainerNotes: |-
    Upstream mistags often and retags, so never use tags directly.

    Multiple versions of the same release (name) with different version codes and
    minor fixes in between are common, for some reason.

    Old Repo is:
    * Repo Type:hg
    * Repo:https://ttrss-reader-fork.googlecode.com/hg

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.97.1
CurrentVersionCode: 1971
